Bug 487197 - RFE - update existing fence_zvm script to work with c3270
RFE - update existing fence_zvm script to work with c3270
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fence-agents (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 139880 501055
  Show dependency treegraph
 
Reported: 2009-02-24 13:12 EST by James Laska
Modified: 2013-09-02 02:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 09:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-02-24 13:12:24 EST
Description of problem:

The current fence_zvm script uses s3270 (which isn't provided by Fedora).  It also uses perl.

Version-Release number of selected component (if applicable):
cman-2.99.12-2.fc10.x86_64 (tested F10)

How reproducible:
100%

Steps to Reproduce:
1. /sbin/fence_zvm -u XXX -p YYY -a some-zvm.example.com

  
Actual results:

write:  connect gss-zvm.z900.redhat.com
read:  open2: exec of s3270 2>&1 failed at /sbin/fence_zvm line 312
failed: communication program failed with 'open2: exec of s3270 2>&1 failed at /sbin/fence_zvm line 312'.


Expected results:

 * Is there a -o option to request "reboot, poweron, poweroff or status" ?

Additional info:

 * s3270 appears to have been replaced by c3270.
 * Additional comments from a email thread with Karsten Hopp ...


On Mon, 2009-02-23 at 18:03 +0100, Karsten Hopp wrote:
> Booting a VM guest is done with the '#cp ipl' command which needs the 
> device number to boot from as a parameter.
> we usually use device number 200 here, but that's a convention and can 
> be different as the device numbers can be changed.
> So we usually have to use '#cp ipl 200' to boot our linux guests here at 
> Red Hat.
> Shutting down a linux guest can be done with the usual linux commands or 
> the hard way with p.e. '#cp ipl cms' which boots
> the CMS command shell in the VM guest or with logging out the VM user 
> with '#cp log'.
> Both are similar to pulling the power plug on normal machines.
> 
> A linux guest can be rebooted with normal linux commands or with the VM 
> equivalent to the reset button: '#cp ipl 200' (as above)
> 
> The VM user can log out and leave the linux guest running by logging out 
> with '#cp disc' (disconnect) instead of '#cp log' (logout).

Note You need to log in before you can comment on or make changes to this bug.